﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace BenhVien.MODEL
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class BenhVienEntities : DbContext
    {
        public BenhVienEntities()
            : base("name=BenhVienEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Benh> Benhs { get; set; }
        public virtual DbSet<ChiTietDonThuoc> ChiTietDonThuocs { get; set; }
        public virtual DbSet<DichVu> DichVus { get; set; }
        public virtual DbSet<DonThuoc> DonThuocs { get; set; }
        public virtual DbSet<Giuong> Giuongs { get; set; }
        public virtual DbSet<KhamBenh> KhamBenhs { get; set; }
        public virtual DbSet<Khoa> Khoas { get; set; }
        public virtual DbSet<LoaiDichVu> LoaiDichVus { get; set; }
        public virtual DbSet<NhapVien> NhapViens { get; set; }
        public virtual DbSet<Phong> Phongs { get; set; }
        public virtual DbSet<TheoDoiBenhNhan> TheoDoiBenhNhans { get; set; }
        public virtual DbSet<Thuoc> Thuocs { get; set; }
        public virtual DbSet<Comune> Comunes { get; set; }
        public virtual DbSet<Disctrict> Disctricts { get; set; }
        public virtual DbSet<Province> Provinces { get; set; }
        public virtual DbSet<NguoiDung> NguoiDungs { get; set; }
        public virtual DbSet<ChiTietKhamBenh> ChiTietKhamBenhs { get; set; }
        public virtual DbSet<ChiTietSuDungDichVu> ChiTietSuDungDichVus { get; set; }
        public virtual DbSet<SuDungDichVu> SuDungDichVus { get; set; }
        public virtual DbSet<ChiTietGiuongBenh> ChiTietGiuongBenhs { get; set; }
        public virtual DbSet<ChiTietNhapVien> ChiTietNhapViens { get; set; }
        public virtual DbSet<ChiTietChiPhiNhapVien> ChiTietChiPhiNhapViens { get; set; }
        public virtual DbSet<AppConfig> AppConfigs { get; set; }
    }
}
